#ifndef EDITSCENE_EVENT_HANDLER_EDITOR_HPP
#define EDITSCENE_EVENT_HANDLER_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/EventHandler.hpp"

class EventHandlerEditor : public ComponentEditor<EventHandlerComponent> {
public:
	const char *getName() const override
	{
		return "Event Handler";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     EventHandlerComponent &handler) override;
};

#endif // EDITSCENE_EVENT_HANDLER_EDITOR_HPP
